@echo OFF
rem  * *******************************************************************
rem  *               NUMBBSE2.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a Sequential Data Set on disk using IEBGENER.
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The first job step (DeleteTEXT) will delete any previously created
rem  * files.
rem  * The second job step (CreateTEXT) will create a new ASCII/Text file.
rem  * The third step will convert the Line Sequential file to a Record
rem  * Sequential file.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
     set CmdName=NUMBBSE2
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%, User is %USERNAME%"
     call SimoNOTE "StepInfo Delete previously created files"
     set NBRBSCSV=%BaseLib1%\DATA\Csv1\NBRBSCSV.CSV
rem  *
rem  * *******************************************************************
rem  * Step   1 of 3  Create and populate a new ASCII/TEXT file...
rem  *
     call SimoNOTE "StepInfo Create an ASCII/Text File"
     if exist %NBRBSCSV% del %NBRBSCSV%
rem  * ..1....:....2....:....3....:....4....:....5....:....6....:....7....:....8
echo BINARY,SIGN,LEADING,,123.89,34.567,8901.98,234,                            >>%NBRBSCSV%
echo BINARY,SIGN,,,123.89,34.567,-8901.98,234,                                  >>%NBRBSCSV%
echo BINARY,SIGN,,,123.89,34.567,-8901.98,234-,                                 >>%NBRBSCSV%
echo BINARY,SIGN,,,-123.89,34.567,-8901.98,234,                                 >>%NBRBSCSV%
echo BINARY,SIGN,,,123.89,34.567-,-8901.98,234,                                 >>%NBRBSCSV%
     if exist %NBRBSCSV% call SimoNOTE "DataMake %NUMBLCSV%"
     if not exist %NBRBSCSV% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
rem  *
rem  * *******************************************************************
rem  * Step   2 of 3  Convert ASCII/TEXT file to ASCII RSEQ File...
rem  *
     call SimoNOTE "StepInfo Convert Line Sequential to Record Sequential"
     set GETLS080=%NBRBSCSV%
     set PUTRS080=%BaseLib1%\DATA\Asc1\NBRBSCSV.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if not ERRORLEVEL = 0 set JobStatus=0030
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %GETLS080%"
     call SimoNOTE "DataMake %PUTRS080%"
rem  *
rem  * *******************************************************************
rem  * Step   3 of 3  Convert ASCII/TEXT file to EBCDIC RSEQ File...
rem  *
     call SimoNOTE "StepInfo Convert Line Sequential to Record Sequential"
     set GETLS080=%NBRBSCSV%
     set PUTRS080=%BaseLib1%\DATA\Ebc1\NBRBSCSV.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALER
     if not ERRORLEVEL = 0 set JobStatus=0030
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %GETLS080%"
     call SimoNOTE "DataMake %PUTRS080%"
rem  *
:EojAok
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNok
     call SimoNOTE "NOTE ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
:End
     if not "%1" == "nopause" pause
