//NUMBPSJ2 JOB (SIMOTIME),'NUMERIC CONNECTION',CLASS=1,MSGCLASS=0,
//             NOTIFY=CSIP1
//* *******************************************************************
//*       NUMBPSJ2.JCL - a JCL Member for Batch Job Processing        *
//*        This program is provided by SimoTime Technologies          *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Read a file of numeric values,
//*          write Signed Binary Numeric.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The job will read an 80-byte file that contains numeric values.
//* The record structure contains fixed-length fields. The numeric
//* fields are a signed, packed-decimal format.
//*
//* The program will calculate four summary totals and a count of
//* the number of records in the file.
//*
//* The job will write the summary totals to the SYSOUT device.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Net Express.
//*
//*                     +----------+
//*                     | NUMBPSJ2 |
//*                     +-------jcl+
//*                          |
//*                          |
//*    +----------+     +----------+     +----------+
//*    | NBRPS080 +-----+ NUMBPSC2 +--+--+  SYSOUT  |
//*    +------rseq+     +-------cbl+  |  +------data+
//*                          |        |
//*                          |        |  +----------+
//*                          |        +--+ NUMBPSR2 |
//*                          |           +-------cbl+
//*                     +----------+
//*                     |   EOJ    |
//*                     +----------+
//*
//* *******************************************************************
//* Step 1 of 2, Delete any previously created file...
//*
//CLEANUP1 EXEC PGM=IEFBR14
//NBRPSTOT DD  DSN=SIMOTIME.DATA.NBRPSTOT,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=121,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 2, Read a RSEQ file of numeric values,
//*              Write to SYSOUT
//*
//TOTALS1  EXEC PGM=NUMBPSC2
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//NBRPS080 DD  DSN=SIMOTIME.DATA.NBRPS080,DISP=SHR
//SYSOUT   DD  DSN=SIMOTIME.DATA.NBRPSTOT,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=121,DSORG=PS)
//
