//NUMBPUJ8 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       NUMBPUJ8.JCL - a JCL Member for Batch Job Processing        *
//*        This program is provided by SimoTime Technologies          *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Create a CSV File from instream data using IEBGENER.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The first job step (QSAMDELT) will delete any previously created
//* file. The second job step (QCRTDIN1) will create a new file.
//*
//* The format of the records is Comma-Seoarated-Values (or CSV).
//* The first group of four (4) fields is text strings. The second
//* group of four (4) fields is numeric without plus and minus values.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//* *******************************************************************
//* Step 1 of 2, Delete any previously created file...
//*
//QSAMDELT EXEC PGM=IEFBR14
//NBRPUCSV DD  DSN=SIMOTIME.DATA.NBRPUCSV,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 2, Create and populate a new QSAM file...
//*
//QCRTDIN1 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
PACKED,UNSIGN,,,123.89,34.567,8901.98,234,
PACKED,UNSIGN,,,123.89,34.567,1234.98,234,
PACKED,UNSIGN,,,99.89,22.375,8901.25,345,
PACKED,UNSIGN,,,49.98,49.952,9905.39,456,
PACKED,UNSIGN,,,750.00,39.125,1492.12,567,
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.NBRPUCSV,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//
