//NUMBVSJ3 JOB SIMOTIME,CLASS=X,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*           NUMBVSJ3.JCL - a Job Control Language Member            *
//*         This program is provided by SimoTime Technologies         *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Subject: Compare two  files with 121-byte records. Positions to be
//*          compared are determined at execution time by SYSUT3.
//* Author:  SimoTime Technologies
//* Date:    January 24, 1996
//*
//* *******************************************************************
//* Step 1 of 5, Delete previously created Catalog Entries,
//*              use IEFBR14 with a DD Statement
//*
//GETREADY EXEC PGM=IEFBR14
//SYSOUT   DD  SYSOUT=*
//SYSLOG   DD  DSN=SIMOTIME.NUMBVS.SYSLOG,DISP=(MOD,DELETE,DELETE),
//             UNIT=SYSDA,
//             SPACE=(TRK,(1,1)),
//             DCB=(RECFM=VB,LRECL=1055,DSORG=PS)
//SYSUT3   DD  DSN=SIMOTIME.NUMBVS.COMPCNTL,DISP=(MOD,DELETE,DELETE),
//             UNIT=SYSDA,
//             SPACE=(TRK,(1,1)),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//*********************************************************************
//* Step 2 of 5, Build a Control File that defines positions within a
//*              record to be compared
//*
//PREPCNTL EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
/COMPARE   SYSUT1 POS 44 LEN 32  SYSUT2 POS 44 LEN 32
/SYSLOG    ENABLE
/DISPLAY   SYSOUT
/*
//SYSUT2   DD  DISP=(NEW,CATLG,CATLG),
//             UNIT=SYSDA,
//             SPACE=(TRK,(1,1)),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS),
//             DSN=SIMOTIME.NUMBVS.COMPCNTL
//*
//*********************************************************************
//* Step 3 of 5, Build a new LOG File...
//*
//PREPLOG  EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
*** SYSLOG File
/*
//SYSUT2   DD  DSN=SIMOTIME.NUMBVS.SYSLOG,DISP=(NEW,CATLG,CATLG),
//             UNIT=SYSDA,
//             SPACE=(TRK,(1,1)),
//             DCB=(RECFM=VB,LRECL=1055,DSORG=PS)
//*
//*********************************************************************
//* Step 4 of 5, Compare two Files, Binary and Packed Results (Signed)
//*
//EXECUTE  EXEC PGM=CM3121C1
//SYSLOG   DD  DSN=SIMOTIME.NUMBVS.SYSLOG,DISP=OLD
//CM3121D1 DD  DSN=SIMOTIME.DATA.NBRBSTOT,DISP=SHR
//CM3121D2 DD  DSN=SIMOTIME.DATA.NBRPSTOT,DISP=SHR
//CM3121D3 DD  DSN=SIMOTIME.NUMBVS.COMPCNTL,DISP=SHR
//SYSOUT   DD  SYSOUT=*
//*
//*
//*********************************************************************
//* Step 5 of 5, Compare two Files, Binary and Zoned Results  (Signed)
//*
//EXECUTE  EXEC PGM=CM3121C1
//SYSLOG   DD  DSN=SIMOTIME.NUMBVS.SYSLOG,DISP=OLD
//CM3121D1 DD  DSN=SIMOTIME.DATA.NBRBSTOT,DISP=SHR
//CM3121D2 DD  DSN=SIMOTIME.DATA.NBRZSTOT,DISP=SHR
//CM3121D3 DD  DSN=SIMOTIME.NUMBVS.COMPCNTL,DISP=SHR
//SYSOUT   DD  SYSOUT=*
//*
