@echo OFF
rem  * *******************************************************************
rem  *               NUMMBUW1.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read a file of numeric values,
rem  *          write UnSigned Binary Numeric.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The job will read an 80-byte file that contains numeric values.
rem  * The record structure contains variable length fields that are
rem  * delimited by a Comma (or Comma-Separated-Value). This type of
rem  * file is sometimes referred to as a CSV File.
rem  *
rem  * The job will write a file containing the results of the
rem  * specified numeric format conversion. This process will convert
rem  * the records from a CSV File to a file with a record structure of
rem  * Fixed-Field-Lengths and a numeric format of UnSigned BINARY.
rem  *
rem  * This set of programs will run on a mainframe under MVS or on a
rem  * Personal Computer with Windows and Micro Focus Net Express.
rem  *
rem  *    ************
rem  *    * NUMMBUW1 *
rem  *    ********cmd*
rem  *         *
rem  *         *
rem  *    ************     ************
rem  *    * SIMONOTE ******* CONSOLE  *
rem  *    ********cmd*  *  ************      Note: Prefix Messages,
rem  *         *        *                          Display and write to
rem  *         *        *  ************            log file
rem  *         *        ****  SYSLOG  *
rem  *         *           *******rseq*
rem  *         *
rem  *    ************
rem  *    *   run    *****************************
rem  *    *******mifo*                           *
rem  *         *                                 *
rem  *         *           ************     ************      ************
rem  *         *           *  SYSUT1  ******* NUMMBUC1 *******  SYSUT2  *
rem  *         *           *******rcsv*     ********cbl*      *******rffl*
rem  *         *                                 *
rem  *    ************                      ************
rem  *    *   EOJ    *                      * NUMMBUR1 *
rem  *    ************                      ********cbl*
rem  *
rem  * *******************************************************************
rem  * Step 1 of 2, Prepare the environment...
rem  *
     set CmdName=NUMMBUW1
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
     call SimoNOTE "JobTopic Read LCSV and write RSEQ with Binary UnSigned"
     call SimoNOTE "StepInfo Map Program File Names to Physical File Name"
     set SYSUT1=%BaseLib1%\DATA\APPL\SIMOTIME.NRSEQCSV.NUDAU001.DAT
     set SYSUT2=%BaseLib1%\DATA\APPL\SIMOTIME.NRSEQFFL.NUDBU001.DAT
     if exist %SYSUT2% del %SYSUT2%
rem  *
rem  * *******************************************************************
rem  * Step 2 of 2, Read CSV Format, write Fixed-Field with Binary Numbers
rem  *
     call SimoNOTE "StepInfo Execute the Binary UnSigned Program"
     run NUMMBUC1
     if not ERRORLEVEL = 0 set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %SYSUT1%
     call SimoNOTE "DataMake %SYSUT2%
rem  *
     if exist %SYSUT2% goto :EojAok
     set JobStatus=0020
     goto :EojNok
rem  *
rem  * *******************************************************************
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     if not "%1" == "nopause" pause
